## udm 1.0.0.352

=== Makefile ===
NAME=udm

# To install, type:
#  su -c "make install"

#Get version number from source file
#VERSION=$(shell head -3 $(NAME) | grep version | cut -d\" -f2)

#DESTDIR can be defined when calling make ie. make install DESTDIR=$RPM_BUILD_ROOT
DESTDIR =

prefix  = /usr
bindir  = $(prefix)/local/bin
datadir = $(prefix)/share

all:
	@echo "lp2m	Copy Linux published files to the Mac"
	@echo "distmac	makes mac distribution"
	@echo "deb	makes .deb for Debian (Linux), must be su."
	@echo "dist	makes tar.gz for Linux (old, does not include database files)"
	@echo "l64get	get pub files while in Linux64"
	@echo "l64put	put Linux64 deb file onto CD"


# Put Linux64 deb file onto CD
l64put:
	mv /home/anthony/udm/*.deb /media/sf_cd


# Get pub files while in Linux64"
l64get:
	cp /media/sf_pub/* /home/anthony/udm
	cp -r /media/sf_firmware/* /home/anthony/udm/firmware
	cp -r /media/sf_tzdatabase/* /home/anthony/udm/tzdatabase


#Copy Linux published files to the Mac
lp2m:
	scp -B /home/anthony/projects/sqm-le/lazarus/pub/* anthony@mac.local:/Users/anthony/projects/udm

#Not normally used directly, called by make deb:
install:
	install -D -m0755 udm $(DESTDIR)$(bindir)/$(NAME)
	install -d -m0755 $(DESTDIR)$(datadir)/$(NAME)
	install -d -m0755 $(DESTDIR)$(datadir)/$(NAME)/tzdatabase/
	install -m0644 tzdatabase/* $(DESTDIR)$(datadir)/$(NAME)/tzdatabase/
	install -d -m0755 $(DESTDIR)$(datadir)/$(NAME)/firmware/
	install -p -m0644 firmware/*.hex $(DESTDIR)$(datadir)/$(NAME)/firmware/
	install -m0644 fchanges.txt $(DESTDIR)$(datadir)/$(NAME)/
	install -m0644 world*.jpg $(DESTDIR)$(datadir)/$(NAME)/
	install -m0644 kmllegend*.png $(DESTDIR)$(datadir)/$(NAME)/
	install -m0644 changelog.txt $(DESTDIR)$(datadir)/$(NAME)/
	install -m0644 commandlineoptions.txt $(DESTDIR)$(datadir)/$(NAME)/
	install -m0644 sqm-skeleton.html $(DESTDIR)$(datadir)/$(NAME)/
	install -m0644 *.wav $(DESTDIR)$(datadir)/$(NAME)/
	install -m0644 *.ucld $(DESTDIR)$(datadir)/$(NAME)/
	install -m0644 *.goto $(DESTDIR)$(datadir)/$(NAME)/
	install -m0644 *.tcl $(DESTDIR)$(datadir)/$(NAME)/
	install -m0644 47_SKYGLOW_DEFINITIONS.PDF $(DESTDIR)$(datadir)/$(NAME)/
	install -m0644 udm.png /usr/share/pixmaps
	install -m0644 unihedron-device-manager.desktop /usr/share/applications

#Only used to remove installation of code.
uninstall:
	rm -f  $(DESTDIR)$(bindir)/udm
	rm -rf $(DESTDIR)$(datadir)/udm*

#Normally used to create a debian package
deb:
	checkinstall -D --pkgname=udm --maintainer='Anthony Tekatch \<anthony@unihedron.com\>' --provides='' --nodoc make install 

#Used to create a tar.gz file for Linux
dist:
	if test -d "$(NAME)-$(VERSION)"; then rm -rf $(NAME)-$(VERSION); fi
	if test -f "$(NAME)-$(VERSION).tar.gz"; then rm -f $(NAME)-$(VERSION).tar.gz; fi
	mkdir $(NAME)-$(VERSION)
	cp Makefile $(NAME)-$(VERSION)
	cp -R doc $(NAME)-$(VERSION)
	cp $(NAME) $(NAME)-$(VERSION)
	tar cvzf $(NAME)-$(VERSION).tar.gz $(NAME)-$(VERSION)
	rm -rf $(NAME)-$(VERSION)

#Used to create a dmg for Mac
distmac:
	@echo "Assumes that udm.app directory exists"
	@echo " which was created by Create Application Bundle in Lazarus" 
	cp -R firmware "udm.app/Contents/Resources/"
	cp -R -f tzdatabase "udm.app/Contents/Resources/"
	cp -f fchanges.txt "udm.app/Contents/Resources/"
	cp -f world*.jpg "udm.app/Contents/Resources/"
	cp -f kmllegend*.png "udm.app/Contents/Resources/"
	cp -f -p *.icns "udm.app/Contents/Resources/"
	cp -f 47_SKYGLOW_DEFINITIONS.PDF "udm.app/Contents/Resources/"
	cp -f *.wav "udm.app/Contents/Resources/"
	cp -f *.ucld "udm.app/Contents/Resources/"
	cp -f *.goto "udm.app/Contents/Resources/"
	cp -f *.tcl "udm.app/Contents/Resources/"
	cp -f changelog.txt "udm.app/Contents/Resources/"
	cp -f sqm-skeleton.html "udm.app/Contents/Resources/"
	rm "udm.app/Contents/MacOS/udm"
	cp udm "udm.app/Contents/MacOS/"
	./icon_str.py > Info.plist.temp
	cp Info.plist.temp udm.app/Contents/Info.plist
	rm Info.plist.temp
	rm -rf /Applications/udm.app
	cp -R udm.app /Applications/
	@echo "Now use Packages.app to create a .pkg file"

## udm 1.0.0.322

=== debian/changelog ===
udm (1.0.0.322-4) unstable; urgency=medium

  * fix FTBFS (due to upload of new version of lazarus)
    (the solution leaves room for improvement)
    (Closes: #1036257)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 23 May 2023 17:43:07 +0200

udm (1.0.0.322-3) unstable; urgency=medium

  * add patch to use correct path for file installation

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 06 Feb 2023 22:43:07 +0100

udm (1.0.0.322-2) unstable; urgency=medium

  * source upload

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 06 Feb 2023 17:43:07 +0100

udm (1.0.0.322-1) unstable; urgency=medium

  * initial release

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 05 Nov 2022 01:43:07 +0100

=== debian/control ===
Source: udm
Section: science
Priority: optional
#Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
#Uploaders: Thorsten Alteholz <debian@alteholz.de>
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, lazarus-src
	, fpc
	, lcl-utils
	, lcl
	, lcl-units
	, lcl-gtk2
	, fp-units-misc
	, libgl-dev
Standards-Version: 4.6.2
Homepage: http://unihedron.com/
Rules-Requires-Root: no
#Vcs-Browser: https://salsa.debian.org/debian-astro-team/unihedron-device-manager
#Vcs-Git: https://salsa.debian.org/debian-astro-team/unihedron-device-manager.git

Package: unihedron-device-manager
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Unihedron Device manager (UDM)
 The Unihedron Device Manager (UDM) program is intended for use in maintaining
 and testing the Unihedron connected Sky Quality Meter products.
 It is used to:
  - Read version information.
  - Request readings.
  - Read and set calibration data.
  - Read and set all other meter parameters.
  - Install new firmware.
  - Setup and retrieve data from datalogging meters.
  - Continuously log data from connected meters.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export HOME=$(CURDIR)/tmphome

%:
	dh $@

override_dh_auto_build:
	# this looks awfull and I hope there is a better solution
	#  but at the moment at least the package builds
	mkdir $(HOME)
	echo "#INCLUDE /etc/fpc.cfg" > $(HOME)/.fpc.cfg
	echo "-dLCLGTK2" >> $(HOME)/.fpc.cfg
	echo "-Fu/usr/lib/lazarus/2.2.6/components/lazutils/lib/x86_64-linux" >> $(HOME)/.fpc.cfg
	echo "-Fu/usr/lib/lazarus/2.2.6/packager/units/x86_64-linux" >> $(HOME)/.fpc.cfg
	echo "-Fu/usr/lib/lazarus/2.2.6/lcl/units/x86_64-linux" >> $(HOME)/.fpc.cfg
	echo "-Fu/usr/lib/lazarus/2.2.6/components/ideintf/units/x86_64-linux/gtk2/" >> $(HOME)/.fpc.cfg
	echo "-Fu/usr/lib/lazarus/2.2.6/components/lazcontrols/lib/x86_64-linux/gtk2/" >> $(HOME)/.fpc.cfg
	echo "-Fu/usr/lib/lazarus/2.2.6/components/synedit/units/x86_64-linux/gtk2/" >> $(HOME)/.fpc.cfg
	echo "-Fu/usr/lib/lazarus/2.2.6/components/tachart/lib/x86_64-linux/gtk2/" >> $(HOME)/.fpc.cfg
	echo "-Fu/usr/lib/lazarus/2.2.6/components/printers/lib/x86_64-linux/gtk2/" >> $(HOME)/.fpc.cfg
	echo "-Fu/usr/lib/lazarus/2.2.6/components/cairocanvas/lib/x86_64-linux/gtk2/" >> $(HOME)/.fpc.cfg
	echo "-Fu/usr/lib/lazarus/2.2.6/lcl/units/x86_64-linux/gtk2/" >> $(HOME)/.fpc.cfg
	
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttcalc4.inc
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttconfig.inc
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttraster_sweep.inc
	
	ln -s /usr/lib/lazarus/2.2.6/components/opengl/openglcontext.res
	
	ln -s /usr/lib/lazarus/2.2.6/components/buildintf/ideoptionsintf.pas
	ln -s /usr/lib/lazarus/2.2.6/components/buildintf/baseideintf.pas
	ln -s /usr/lib/lazarus/2.2.6/components/buildintf/macrointf.pas
	ln -s /usr/lib/lazarus/2.2.6/components/buildintf/macrodefintf.pas
	ln -s /usr/lib/lazarus/2.2.6/components/buildintf/compoptsintf.pas
	ln -s /usr/lib/lazarus/2.2.6/components/buildintf/projectintf.pas
	ln -s /usr/lib/lazarus/2.2.6/components/buildintf/newitemintf.pas
	ln -s /usr/lib/lazarus/2.2.6/components/buildintf/projpackintf.pas
	ln -s /usr/lib/lazarus/2.2.6/components/buildintf/buildstrconsts.pas
	ln -s /usr/lib/lazarus/2.2.6/components/buildintf/ideexterntoolintf.pas
	ln -s /usr/lib/lazarus/2.2.6/components/buildintf/lazmsgworker.pas
	ln -s /usr/lib/lazarus/2.2.6/components/opengl/openglcontext.pas
	ln -s /usr/lib/lazarus/2.2.6/components/opengl/glgtkglxcontext.pas
	ln -s /usr/lib/lazarus/2.2.6/components/opengl/lazopenglcontext.pas
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/easylazfreetype.pas
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/lazfreetype.pas
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/tttypes.pas
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/tterror.pas
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttcalc4.pas
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttcalc.pas
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttmemory.pas
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/tttables.pas
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttcache.pas
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttfile.pas
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttcmap.pas
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttobjs.pas
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttload.pas
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttinterp.pas
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttgload.pas
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttkern.pas
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttraster.pas
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttprofile.pas
	ln -s /usr/lib/lazarus/2.2.6/components/freetype/lazfreetypefontcollection.pas

	lazbuild --widgetset=gtk2 -B udm.lpi
	lazbuild --widgetset=gtk2 -B udmc.lpi
	find

override_dh_clean:
	rm -rf $(HOME)
	dh_clean

## udm 1.0.0.337

=== debian/changelog ===
udm (1.0.0.337-1) unstable; urgency=medium

  * New upstream release.
  * finally apply patch to build with any version of lazarus
    (thanks to Abou Al Montacir for the patch)
    (Closes: #106093, #1049723, #1047356)
    (at least the reasons for the build-after-bugs are gone, maybe others
     are still there)
  * debian/control: move to debian-astro team and update VCS URLs

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 17 Jan 2024 23:43:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: udm
 Section: science
 Priority: optional
-#Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
-#Uploaders: Thorsten Alteholz <debian@alteholz.de>
-Maintainer: Thorsten Alteholz <debian@alteholz.de>
+Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper-compat (= 13)
 	, lazarus-src
 	, fpc
@@ -16,8 +15,8 @@
 Standards-Version: 4.6.2
 Homepage: http://unihedron.com/
 Rules-Requires-Root: no
-#Vcs-Browser: https://salsa.debian.org/debian-astro-team/unihedron-device-manager
-#Vcs-Git: https://salsa.debian.org/debian-astro-team/unihedron-device-manager.git
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/udm
+Vcs-Git: https://salsa.debian.org/debian-astro-team/udm.git
 
 Package: unihedron-device-manager
 Architecture: amd64

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export HOME=$(CURDIR)/tmphome

%:
	dh $@

override_dh_auto_build:
#	# this looks awfull and I hope there is a better solution
#	#  but at the moment at least the package builds
#	mkdir $(HOME)
#	echo "#INCLUDE /etc/fpc.cfg" > $(HOME)/.fpc.cfg
#	echo "-dLCLGTK2" >> $(HOME)/.fpc.cfg
#	echo "-Fu/usr/lib/lazarus/2.2.6/components/lazutils/lib/x86_64-linux" >> $(HOME)/.fpc.cfg
#	echo "-Fu/usr/lib/lazarus/2.2.6/packager/units/x86_64-linux" >> $(HOME)/.fpc.cfg
#	echo "-Fu/usr/lib/lazarus/2.2.6/lcl/units/x86_64-linux" >> $(HOME)/.fpc.cfg
#	echo "-Fu/usr/lib/lazarus/2.2.6/components/ideintf/units/x86_64-linux/gtk2/" >> $(HOME)/.fpc.cfg
#	echo "-Fu/usr/lib/lazarus/2.2.6/components/lazcontrols/lib/x86_64-linux/gtk2/" >> $(HOME)/.fpc.cfg
#	echo "-Fu/usr/lib/lazarus/2.2.6/components/synedit/units/x86_64-linux/gtk2/" >> $(HOME)/.fpc.cfg
#	echo "-Fu/usr/lib/lazarus/2.2.6/components/tachart/lib/x86_64-linux/gtk2/" >> $(HOME)/.fpc.cfg
#	echo "-Fu/usr/lib/lazarus/2.2.6/components/printers/lib/x86_64-linux/gtk2/" >> $(HOME)/.fpc.cfg
#	echo "-Fu/usr/lib/lazarus/2.2.6/components/cairocanvas/lib/x86_64-linux/gtk2/" >> $(HOME)/.fpc.cfg
#	echo "-Fu/usr/lib/lazarus/2.2.6/lcl/units/x86_64-linux/gtk2/" >> $(HOME)/.fpc.cfg
#	
#	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttcalc4.inc
#	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttconfig.inc
#	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttraster_sweep.inc
#	
#	ln -s /usr/lib/lazarus/2.2.6/components/opengl/openglcontext.res
#	
#	ln -s /usr/lib/lazarus/2.2.6/components/buildintf/ideoptionsintf.pas
#	ln -s /usr/lib/lazarus/2.2.6/components/buildintf/baseideintf.pas
#	ln -s /usr/lib/lazarus/2.2.6/components/buildintf/macrointf.pas
#	ln -s /usr/lib/lazarus/2.2.6/components/buildintf/macrodefintf.pas
#	ln -s /usr/lib/lazarus/2.2.6/components/buildintf/compoptsintf.pas
#	ln -s /usr/lib/lazarus/2.2.6/components/buildintf/projectintf.pas
#	ln -s /usr/lib/lazarus/2.2.6/components/buildintf/newitemintf.pas
#	ln -s /usr/lib/lazarus/2.2.6/components/buildintf/projpackintf.pas
#	ln -s /usr/lib/lazarus/2.2.6/components/buildintf/buildstrconsts.pas
#	ln -s /usr/lib/lazarus/2.2.6/components/buildintf/ideexterntoolintf.pas
#	ln -s /usr/lib/lazarus/2.2.6/components/buildintf/lazmsgworker.pas
#	ln -s /usr/lib/lazarus/2.2.6/components/opengl/openglcontext.pas
#	ln -s /usr/lib/lazarus/2.2.6/components/opengl/glgtkglxcontext.pas
#	ln -s /usr/lib/lazarus/2.2.6/components/opengl/lazopenglcontext.pas
#	ln -s /usr/lib/lazarus/2.2.6/components/freetype/easylazfreetype.pas
#	ln -s /usr/lib/lazarus/2.2.6/components/freetype/lazfreetype.pas
#	ln -s /usr/lib/lazarus/2.2.6/components/freetype/tttypes.pas
#	ln -s /usr/lib/lazarus/2.2.6/components/freetype/tterror.pas
#	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttcalc4.pas
#	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttcalc.pas
#	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttmemory.pas
#	ln -s /usr/lib/lazarus/2.2.6/components/freetype/tttables.pas
#	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttcache.pas
#	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttfile.pas
#	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttcmap.pas
#	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttobjs.pas
#	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttload.pas
#	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttinterp.pas
#	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttgload.pas
#	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttkern.pas
#	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttraster.pas
#	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttprofile.pas
#	ln -s /usr/lib/lazarus/2.2.6/components/freetype/lazfreetypefontcollection.pas

	lazbuild --widgetset=gtk2 -B udm.lpi
	lazbuild --widgetset=gtk2 -B udmc.lpi
	find

override_dh_clean:
	rm -rf $(HOME)
	dh_clean

## udm 1.0.0.352

=== debian/changelog ===
udm (1.0.0.352-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bump standard to 4.7.2 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 11 Oct 2025 19:44:06 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	, lcl-gtk2
 	, fp-units-misc
 	, libgl-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: http://unihedron.com/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/udm

=== debian/rules ===
--- 
+++ 
@@ -66,7 +66,7 @@
 #	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttprofile.pas
 #	ln -s /usr/lib/lazarus/2.2.6/components/freetype/lazfreetypefontcollection.pas
 
-	lazbuild --widgetset=gtk2 -B udm.lpi
+#XXX	lazbuild --widgetset=gtk2 -B udm.lpi
 	lazbuild --widgetset=gtk2 -B udmc.lpi
 	find

=== debian/watch ===
version=4
http://unihedron.com/projects/darksky/cd/udm/udm_(.+).tgz debian uupdate

## udm 1.0.0.352%2Bdfsg

=== debian/control ===
Source: udm
Section: science
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, lazarus-src
	, fpc
	, lcl-utils
	, lcl
	, lcl-units
	, lcl-qt5
	, fp-units-misc
	, libgl-dev
Standards-Version: 4.7.3
Homepage: https://unihedron.com/
Vcs-Browser: https://salsa.debian.org/debian-astro-team/udm
Vcs-Git: https://salsa.debian.org/debian-astro-team/udm.git

Package: unihedron-device-manager
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Description: Unihedron Device manager (UDM)
 The Unihedron Device Manager (UDM) program is intended for use in maintaining
 and testing the Unihedron connected Sky Quality Meter products.
 It is used to:
  - Read version information.
  - Request readings.
  - Read and set calibration data.
  - Read and set all other meter parameters.
  - Setup and retrieve data from datalogging meters.
  - Continuously log data from connected meters.

## udm 1.0.0.352+dfsg

=== debian/changelog ===
udm (1.0.0.352+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix clean target. Closes: #1047356, #1049723.
  * Fix typo in changelog entry for version 1.0.0.337-1.
  * Drop "Rules-Requires-Root: no" (default).
  * Drop "Priority: optional" (default).
  * Update standards-version.
  * Use secure URI in Homepage field.
  * Use secure URI in watch file.
  * Drop unused lintian overrides.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Tue, 17 Feb 2026 20:10:00 +0100

udm (1.0.0.352+dfsg-1) unstable; urgency=medium

  * Team upload
  * Build with Qt5 (Closes: #1125319)
  * Drop binaries

 -- Bastian Germann <bage@debian.org>  Fri, 06 Feb 2026 12:14:18 +0100

=== debian/rules ===
--- 
+++ 
@@ -66,8 +66,8 @@
 #	ln -s /usr/lib/lazarus/2.2.6/components/freetype/ttprofile.pas
 #	ln -s /usr/lib/lazarus/2.2.6/components/freetype/lazfreetypefontcollection.pas
 
-#XXX	lazbuild --widgetset=gtk2 -B udm.lpi
-	lazbuild --widgetset=gtk2 -B udmc.lpi
+	lazbuild --widgetset=qt5 -B udm.lpi
+	lazbuild --widgetset=qt5 -B udmc.lpi
 	find
 
 override_dh_clean:

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,dversionmangle=auto \
https://unihedron.com/projects/darksky/cd/udm/udm_(.+).tgz debian uupdate
